[phoenix-project] Re: Expeyes on fedora : difficulties

  • From: Atanu Mandal <atanubuieit29@xxxxxxxxx>
  • To: Nicolas Pettiaux <nicolas@xxxxxxxxxxx>
  • Date: Mon, 19 Mar 2018 15:36:10 +0000

Install python-pip which will hopefully by the command "yum install
python-pip".

Then install " pip install pyqtgraph".

If again error shows please let me know. You can solve the issues by
searching for the last line starting with import error

Thanks and regards
Atanu Mandal
+91 9062866035
+91 9748112274

On Mon 19 Mar, 2018, 19:38 Nicolas Pettiaux, <nicolas@xxxxxxxxxxx> wrote:

Dear all,

I know very well how simple it is (thanks to Georges) to use the expeyes
on debian. But now I also use (because of difficulties to have debian
booting on my new machine) fedora. I have not seen how to install the
expeyes software on my fedora machine. I have found
http://fedoraproject.org/wiki/Belgaum_SFD but there is not much help.

I have downloaded eyes17.zip from http://expeyes.in/software.html
and I run into some trouble.

I have installed many python packages with the command
sudo yum install python-qt4*

but I get

 python main.py
Traceback (most recent call last):
  File "main.py", line 3, in <module>
    from utils import cnf
  File

"/run/media/npx/home/npx/Documents/Projets/EduCode2018/expeyes/eyes17/utils.py",
line 6, in <module>
    import pyqtgraph as pg
ImportError: No module named pyqtgraph

which I cannot resolve.

Thanks,

Nicolas

--
Nicolas Pettiaux, phd, emm - nicolas@xxxxxxxxxxx - gsm +32 496 24 55 01
* Esi-bru.be/infosoc_fr.htm conférence sur blockchain à ESI, 21/3 à 14h
* Educode.be - informer, former et réfléchir aux défis du numérique à
l'école - Bruxelles - Bozar, HE2B-ESI et Académie royale - 27-29/8/18

« Apprendre aux élèves à utiliser les produits privateurs de Microsoft,
Facebook, Google ou Oracle, c'est comme leur apprendre à fumer.
C'est leur donner une habitude coûteuse, dangereuse et dont ils se
déferont difficilement.» Richard Stallman


Other related posts: